using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;
using Verse;


namespace RimWorld{
public class IncidentWorker_HeatWave : IncidentWorker_MakeGameCondition
{
	protected override bool CanFireNowSub(IIncidentTarget target)
	{
		if( !base.CanFireNowSub(target) )
			return false;

		var map = (Map)target;
		return map.mapTemperature.SeasonalTemp >= 20;
	}
}

public class IncidentWorker_ColdSnap : IncidentWorker_MakeGameCondition
{
	protected override bool CanFireNowSub(IIncidentTarget target)
	{
		if( !base.CanFireNowSub(target) )
			return false;

		var map = (Map)target;
		return map.mapTemperature.SeasonalTemp > 0 && map.mapTemperature.SeasonalTemp < 15;
	}
}
}